Subject: Re: [bug#74542] [PATCH 11/11] etc: Add upgrade manifest.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 26 Nov 2024 18:18:52 +0100

Simon Tournier <[email-masked]> skribis:

> On Tue, 26 Nov 2024 at 11:33, Ludovic Courtès <[email-masked]> wrote:
>
>> +(define leaf-package-updates
>> +  ;; Select a subset (~22%) of all the leaf packages, typically small C/C++
>> +  ;; packages not part of a bigger "collection" or repo (CRAN, PyPI, etc.).
>> +  (manifest
>> +   (filter-map (lambda (package)
>> +                 (and (memq (package-build-system package)
>> +                            (list gnu-build-system cmake-build-system))
>> +                      (package-with-upstream-version (pk 'up package))))
>> +               (leaf-packages))))
>
> I would be finer here.  For instance, the manifest contains the same
> package at several versions, i.e., ’package-with-upstream-version’
> applies to the same package at different version. Slurm is one example
> among many others:

Right, so there will be duplicates.  Is that what you mean?

(I think it’s okay to have duplicates at this stage, no big deal.)

Ludo’.